# Uses of Interface
org.eclipse.net4j.util.container.IContainerEventVisitor

Packages that use IContainerEventVisitor
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.

## Uses of IContainerEventVisitor in org.eclipse.net4j.util.container

Subinterfaces of IContainerEventVisitor in org.eclipse.net4j.util.container
Modifier and Type
Interface
Description
`static interface`
`IContainerEventVisitor.Filtered<E>`
An extension interface for `container event visitors` that can `filter` deltas from being visited.
Methods in org.eclipse.net4j.util.container with parameters of type IContainerEventVisitor
Modifier and Type
Method
Description
`void`
ContainerEvent.`accept(IContainerEventVisitor<E> visitor)`
`void`
IContainerEvent.`accept(IContainerEventVisitor<E> visitor)`
`void`
SingleDeltaContainerEvent.`accept(IContainerEventVisitor<E> visitor)`